| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Functions
RecordPlayback.h File Reference

Header file for recording and playback functions. More...

`#include "ObTypes.h"`

Go to the source code of this file.

## Functions
ob_recorder * | ob_create_recorder (ob_error **error)
| Create a recorder for data recording.
ob_recorder * | ob_create_recorder_with_device (ob_device *dev, ob_error **error)
| Create a recorder for data recording.
void | ob_delete_recorder (ob_recorder *recorder, ob_error **error)
| Delete the recorder object.
void | ob_recorder_start (ob_recorder *recorder, const char *filename, bool async, ob_error **error)
| Start recording.
void | ob_recorder_stop (ob_recorder *recorder, ob_error **error)
| Stop recording.
void | ob_recorder_write_frame (ob_recorder *recorder, ob_frame *frame, ob_error **error)
| Write frame data to the recorder.
ob_playback * | ob_create_playback (const char *filename, ob_error **error)
| Create a playback object.
void | ob_delete_playback (ob_playback *playback, ob_error **error)
| Delete the playback object.
void | ob_playback_start (ob_playback *playback, ob_playback_callback callback, void *user_data, ob_media_type type, ob_error **error)
| Start playback, with data returned from the callback.
void | ob_playback_stop (ob_playback *playback, ob_error **error)
| Stop playback.
void | ob_set_playback_state_callback (ob_playback *playback, ob_media_state_callback callback, void *user_data, ob_error **error)
| Set the playback state.
ob_device_info * | ob_playback_get_device_info (ob_playback *playback, ob_error **error)
| Get the device information in the recording file.
ob_camera_param | ob_playback_get_camera_param (ob_playback *playback, ob_error **error)
| Get the intrinsic and extrinsic parameter information in the recording file.

## Detailed Description

Header file for recording and playback functions.

Definition in file RecordPlayback.h.

## Function Documentation

## ◆ ob_create_recorder()

ob_recorder * ob_create_recorder | ( | ob_error ** | error | ) |

Create a recorder for data recording.

Parameters

  [out] | error | Pointer to log error messages.

Returns
  Pointer to the recorder object.

## ◆ ob_create_recorder_with_device()

ob_recorder * ob_create_recorder_with_device | ( | ob_device * | dev,
|  | ob_error ** | error
| ) |  |

Create a recorder for data recording.

Parameters

  | dev | The device object used to create the recorder.
  [out] | error | Pointer to log error messages.

Returns
  Pointer to the recorder object.

## ◆ ob_delete_recorder()

void ob_delete_recorder | ( | ob_recorder * | recorder,
|  | ob_error ** | error
| ) |  |

Delete the recorder object.

Parameters

  | recorder | Pointer to the recorder object.
  [out] | error | Pointer to log error messages.

## ◆ ob_recorder_start()

void ob_recorder_start | ( | ob_recorder * | recorder,
|  | const char * | filename,
|  | bool | async,
|  | ob_error ** | error
| ) |  |

Start recording.

Parameters

  [in] | recorder | Pointer to the recorder object.
  [in] | filename | Recorded file name.
  [in] | async | Whether to record asynchronously.
  [out] | error | Pointer to log error messages.

## ◆ ob_recorder_stop()

void ob_recorder_stop | ( | ob_recorder * | recorder,
|  | ob_error ** | error
| ) |  |

Stop recording.

Parameters

  [in] | recorder | Pointer to the recorder object.
  [out] | error | Pointer to log error messages.

## ◆ ob_recorder_write_frame()

void ob_recorder_write_frame | ( | ob_recorder * | recorder,
|  | ob_frame * | frame,
|  | ob_error ** | error
| ) |  |

Write frame data to the recorder.

Parameters

  [in] | recorder | Pointer to the recorder object.
  [in] | frame | Pointer to the frame data to write.
  [out] | error | Pointer to log error messages.

## ◆ ob_create_playback()

ob_playback * ob_create_playback | ( | const char * | filename,
|  | ob_error ** | error
| ) |  |

Create a playback object.

Parameters

  [in] | filename | Playback filename.
  [out] | error | Pointer to log error messages.

Returns
  Pointer to the playback object.

## ◆ ob_delete_playback()

void ob_delete_playback | ( | ob_playback * | playback,
|  | ob_error ** | error
| ) |  |

Delete the playback object.

Parameters

  [in] | playback | Pointer to the playback object.
  [out] | error | Pointer to log error messages.

## ◆ ob_playback_start()

void ob_playback_start | ( | ob_playback * | playback,
|  | ob_playback_callback | callback,
|  | void * | user_data,
|  | ob_media_type | type,
|  | ob_error ** | error
| ) |  |

Start playback, with data returned from the callback.

Parameters

  [in] | playback | Pointer to the playback object.
  [in] | callback | Callback function for playback data.
  [in] | user_data | User data.
  [in] | type | Type of playback data.
  [out] | error | Pointer to log error messages.

## ◆ ob_playback_stop()

void ob_playback_stop | ( | ob_playback * | playback,
|  | ob_error ** | error
| ) |  |

Stop playback.

Parameters

  [in] | playback | Pointer to the playback object.
  [out] | error | Pointer to log error messages.

## ◆ ob_set_playback_state_callback()

void ob_set_playback_state_callback | ( | ob_playback * | playback,
|  | ob_media_state_callback | callback,
|  | void * | user_data,
|  | ob_error ** | error
| ) |  |

Set the playback state.

Parameters

  [in] | playback | Pointer to the playback object.
  [in] | callback | Playback status callback function.
  [in] | user_data | User data.
  [out] | error | Pointer to log error messages.

## ◆ ob_playback_get_device_info()

ob_device_info * ob_playback_get_device_info | ( | ob_playback * | playback,
|  | ob_error ** | error
| ) |  |

Get the device information in the recording file.

Parameters

  [in] | playback | Pointer to the playback object.
  [out] | error | Pointer to log error messages.

Returns
  Pointer to the device information.

## ◆ ob_playback_get_camera_param()

ob_camera_param ob_playback_get_camera_param | ( | ob_playback * | playback,
|  | ob_error ** | error
| ) |  |

Get the intrinsic and extrinsic parameter information in the recording file.

Parameters

  [in] | playback | Pointer to the playback object.
  [out] | error | Pointer to log error messages.

Returns
  Camera intrinsic and extrinsic parameter.